Skip to main content
POST
/
api
/
v1
/
account
/
get-account-list
curl --request POST \ --url https://api.openfunnel.dev/api/v1/account/get-account-list \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <x-api-key>' \ --header 'X-User-ID: <x-user-id>' \ --data ' { "pagination": { "limit": 50, "offset": 0 } } '
{
  "accounts": [
    {
      "id": 123,
      "domain": "<string>"
    }
  ],
  "total_count": 123,
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total_count": 123,
    "has_more": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openfunnel.dev/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required
X-User-ID
string
required

Body

application/json
filters
AccountFilters · object

Optional filters to apply when querying accounts. All filters are combined with AND logic.

pagination
PaginationParams · object

Pagination parameters for the request

Response

Successful Response

Paginated response for account list.

accounts
BulkAccount · object[]
required
total_count
integer
required
pagination
PaginationMetadata · object

Pagination metadata (included when pagination is requested)